import terser from '@rollup/plugin-terser';
import resolve from '@rollup/plugin-node-resolve';
import filesize from 'rollup-plugin-filesize';

export default [
  {
    input: 'index.js',
    output: [
      {
        file: 'dist/codemirror6-easy.min.js',
        sourcemap: true,
        exports: 'named',
        format: 'esm',
      },
      {
        file: 'dist/codemirror6-easy.umd.min.js',
        sourcemap: true,
        exports: 'named',
        name: 'CM6_EASY',
        format: 'umd',
      },
    ],
    plugins: [
      resolve(),
      terser({
        keep_fnames: true,
        maxWorkers: 4,
      }),
      filesize(),
    ],
  },
];
